export interface MetricObservable {
    /**
     * Sets the next value for observable metric
     * @param value
     */
    next: (value: number) => void;
    /**
     * Subscribes for every value change
     * @param callback
     */
    subscribe: (callback: (value: number) => void) => void;
    /**
     * Removes the subscriber
     * @param [callback]
     */
    unsubscribe: (callback?: (value: number) => void) => void;
}
//# sourceMappingURL=MetricObservable.d.ts.map