import { Exception } from '../common/Exception';
import { TimeInput } from '../common/Time';
import { Attributes } from './attributes';
import { Span } from './span';
import { SpanContext } from './span_context';
import { Status } from './status';
/**
 * The NoopSpan is the default {@link Span} that is used when no Span
 * implementation is available. All operations are no-op including context
 * propagation.
 */
export declare class NoopSpan implements Span {
    private readonly _spanContext;
    constructor(_spanContext?: SpanContext);
    context(): SpanContext;
    setAttribute(key: string, value: unknown): this;
    setAttributes(attributes: Attributes): this;
    addEvent(name: string, attributes?: Attributes): this;
    setStatus(status: Status): this;
    updateName(name: string): this;
    end(endTime?: TimeInput): void;
    isRecording(): boolean;
    recordException(exception: Exception, time?: TimeInput): void;
}
export declare const NOOP_SPAN: NoopSpan;
//# sourceMappingURL=NoopSpan.d.ts.map